=== drivers/media/platform/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the video capture/playback device drivers.
#

# Place here, alphabetically sorted by directory
# (e. g. LC_ALL=C sort Makefile)
obj-y += allegro-dvt/
obj-y += amlogic/
obj-y += amphion/
obj-y += aspeed/
obj-y += atmel/
obj-y += bcm2835/
obj-y += broadcom/
obj-y += cadence/
obj-y += chips-media/
obj-y += imagination/
obj-y += intel/
obj-y += marvell/
obj-y += mediatek/
obj-y += microchip/
obj-y += nuvoton/
obj-y += nvidia/
obj-y += nxp/
obj-y += qcom/
obj-y += raspberrypi/
obj-y += renesas/
obj-y += rockchip/
obj-y += samsung/
obj-y += st/
obj-y += sunxi/
obj-y += synopsys/
obj-y += ti/
obj-y += verisilicon/
obj-y += via/
obj-y += xilinx/

# Please place here only ancillary drivers that aren't SoC-specific
# Please keep it alphabetically sorted by Kconfig name
# (e. g. LC_ALL=C sort Makefile)
obj-$(CONFIG_VIDEO_MEM2MEM_DEINTERLACE)	+= m2m-deinterlace.o
obj-$(CONFIG_VIDEO_MUX)			+= video-mux.o
