=== arch/arm/boot/dts/overlays/Makefile ===
# Overlays for the Raspberry Pi platform

dtb-$(CONFIG_ARCH_BCM2835) += overlay_map.dtb hat_map.dtb

dtbo-$(CONFIG_ARCH_BCM2835) += \
	act-led.dtbo \
	adafruit-st7735r.dtbo \
	adafruit18.dtbo \
	adau1977-adc.dtbo \
	adau7002-simple.dtbo \
	ads1015.dtbo \
	ads1115.dtbo \
	ads7846.dtbo \
	adv7282m.dtbo \
	adv728x-m.dtbo \
	akkordion-iqdacplus.dtbo \
	allo-boss-dac-pcm512x-audio.dtbo \
	allo-boss2-dac-audio.dtbo \
	allo-digione.dtbo \
	allo-katana-dac-audio.dtbo \
	allo-piano-dac-pcm512x-audio.dtbo \
	allo-piano-dac-plus-pcm512x-audio.dtbo \
	anyspi.dtbo \
	apds9960.dtbo \
	applepi-dac.dtbo \
	arducam-64mp.dtbo \
	arducam-pivariety.dtbo \
	at86rf233.dtbo \
	audioinjector-addons.dtbo \
	audioinjector-bare-i2s.dtbo \
	audioinjector-isolated-soundcard.dtbo \
	audioinjector-ultra.dtbo \
	audioinjector-wm8731-audio.dtbo \
	audiosense-pi.dtbo \
	audremap.dtbo \
	audremap-pi5.dtbo \
	balena-fin.dtbo \
	bcm2712d0.dtbo \
	camera-mux-2port.dtbo \
	camera-mux-4port.dtbo \
	cap1106.dtbo \
	chipcap2.dtbo \
	chipdip-dac.dtbo \
	cirrus-wm5102.dtbo \
	cm-swap-i2c0.dtbo \
	cma.dtbo \
	crystalfontz-cfa050_pi_m.dtbo \
	cutiepi-panel.dtbo \
	dacberry400.dtbo \
	dht11.dtbo \
	dionaudio-kiwi.dtbo \
	dionaudio-loco.dtbo \
	dionaudio-loco-v2.dtbo \
	disable-bt.dtbo \
	disable-bt-pi5.dtbo \
	disable-emmc2.dtbo \
	disable-wifi.dtbo \
	disable-wifi-pi5.dtbo \
	dpi18.dtbo \
	dpi18cpadhi.dtbo \
	dpi24.dtbo \
	draws.dtbo \
	dwc-otg-deprecated.dtbo \
	dwc2.dtbo \
	edt-ft5406.dtbo \
	enc28j60.dtbo \
	enc28j60-spi2.dtbo \
	exc3000.dtbo \
	ezsound-6x8iso.dtbo \
	fbtft.dtbo \
	fe-pi-audio.dtbo \
	fsm-demo.dtbo \
	gc9a01.dtbo \
	ghost-amp.dtbo \
	goodix.dtbo \
	googlevoicehat-soundcard.dtbo \
	gpio-charger.dtbo \
	gpio-fan.dtbo \
	gpio-hog.dtbo \
	gpio-ir.dtbo \
	gpio-ir-tx.dtbo \
	gpio-key.dtbo \
	gpio-led.dtbo \
	gpio-no-bank0-irq.dtbo \
	gpio-no-irq.dtbo \
	gpio-poweroff.dtbo \
	gpio-shutdown.dtbo \
	hd44780-i2c-lcd.dtbo \
	hd44780-lcd.dtbo \
	hdmi-backlight-hwhack-gpio.dtbo \
	hifiberry-adc.dtbo \
	hifiberry-adc8x.dtbo \
	hifiberry-amp.dtbo \
	hifiberry-amp100.dtbo \
	hifiberry-amp3.dtbo \
	hifiberry-amp4pro.dtbo \
	hifiberry-dac.dtbo \
	hifiberry-dac8x.dtbo \
	hifiberry-dacplus.dtbo \
	hifiberry-dacplus-pro.dtbo \
	hifiberry-dacplus-std.dtbo \
	hifiberry-dacplusadc.dtbo \
	hifiberry-dacplusadcpro.dtbo \
	hifiberry-dacplusdsp.dtbo \
	hifiberry-dacplushd.dtbo \
	hifiberry-digi.dtbo \
	hifiberry-digi-pro.dtbo \
	highperi.dtbo \
	hy28a.dtbo \
	hy28b.dtbo \
	hy28b-2017.dtbo \
	i-sabre-q2m.dtbo \
	i2c-bcm2708.dtbo \
	i2c-fan.dtbo \
	i2c-gpio.dtbo \
	i2c-mux.dtbo \
	i2c-pwm-pca9685a.dtbo \
	i2c-rtc.dtbo \
	i2c-rtc-gpio.dtbo \
	i2c-sensor.dtbo \
	i2c0.dtbo \
	i2c0-pi5.dtbo \
	i2c1.dtbo \
	i2c1-pi5.dtbo \
	i2c2-pi5.dtbo \
	i2c3.dtbo \
	i2c3-pi5.dtbo \
	i2c4.dtbo \
	i2c5.dtbo \
	i2c6.dtbo \
	i2s-dac.dtbo \
	i2s-gpio28-31.dtbo \
	i2s-master-dac.dtbo \
	ilitek251x.dtbo \
	imx219.dtbo \
	imx258.dtbo \
	imx283.dtbo \
	imx290.dtbo \
	imx296.dtbo \
	imx327.dtbo \
	imx335.dtbo \
	imx378.dtbo \
	imx415.dtbo \
	imx462.dtbo \
	imx477.dtbo \
	imx500.dtbo \
	imx500-pi5.dtbo \
	imx519.dtbo \
	imx708.dtbo \
	interludeaudio-analog.dtbo \
	interludeaudio-digital.dtbo \
	iqaudio-codec.dtbo \
	iqaudio-dac.dtbo \
	iqaudio-dacplus.dtbo \
	iqaudio-digi-wm8804-audio.dtbo \
	iqs550.dtbo \
	irs1125.dtbo \
	jedec-spi-nor.dtbo \
	justboom-both.dtbo \
	justboom-dac.dtbo \
	justboom-digi.dtbo \
	ltc294x.dtbo \
	max98357a.dtbo \
	maxtherm.dtbo \
	mbed-dac.dtbo \
	mcp23017.dtbo \
	mcp23s17.dtbo \
	mcp2515.dtbo \
	mcp2515-can0.dtbo \
	mcp2515-can1.dtbo \
	mcp251xfd.dtbo \
	mcp3008.dtbo \
	mcp3202.dtbo \
	mcp342x.dtbo \
	media-center.dtbo \
	merus-amp.dtbo \
	midi-uart0.dtbo \
	midi-uart0-pi5.dtbo \
	midi-uart1.dtbo \
	midi-uart1-pi5.dtbo \
	midi-uart2.dtbo \
	midi-uart2-pi5.dtbo \
	midi-uart3.dtbo \
	midi-uart3-pi5.dtbo \
	midi-uart4.dtbo \
	midi-uart4-pi5.dtbo \
	midi-uart5.dtbo \
	minipitft13.dtbo \
	miniuart-bt.dtbo \
	mipi-dbi-spi.dtbo \
	mira220.dtbo \
	mlx90640.dtbo \
	mmc.dtbo \
	mz61581.dtbo \
	ov2311.dtbo \
	ov5647.dtbo \
	ov64a40.dtbo \
	ov7251.dtbo \
	ov9281.dtbo \
	papirus.dtbo \
	pca953x.dtbo \
	pcf857x.dtbo \
	pcie-32bit-dma.dtbo \
	pcie-32bit-dma-pi5.dtbo \
	pciex1-compat-pi5.dtbo \
	pibell.dtbo \
	pifacedigital.dtbo \
	pifi-40.dtbo \
	pifi-dac-hd.dtbo \
	pifi-dac-zero.dtbo \
	pifi-mini-210.dtbo \
	piglow.dtbo \
	pimidi.dtbo \
	pineboards-hat-ai.dtbo \
	pineboards-hatdrive-poe-plus.dtbo \
	piscreen.dtbo \
	piscreen2r.dtbo \
	pisound.dtbo \
	pisound-micro.dtbo \
	pisound-pi5.dtbo \
	pitft22.dtbo \
	pitft28-capacitive.dtbo \
	pitft28-resistive.dtbo \
	pitft35-resistive.dtbo \
	pivision.dtbo \
	pps-gpio.dtbo \
	proto-codec.dtbo \
	pwm.dtbo \
	pwm-2chan.dtbo \
	pwm-gpio.dtbo \
	pwm-gpio-fan.dtbo \
	pwm-ir-tx.dtbo \
	pwm-pio.dtbo \
	pwm1.dtbo \
	qca7000.dtbo \
	qca7000-uart0.dtbo \
	ramoops.dtbo \
	ramoops-pi4.dtbo \
	rootmaster.dtbo \
	rotary-encoder.dtbo \
	rpi-backlight.dtbo \
	rpi-codeczero.dtbo \
	rpi-dacplus.dtbo \
	rpi-dacpro.dtbo \
	rpi-digiampplus.dtbo \
	rpi-ft5406.dtbo \
	rpi-fw-uart.dtbo \
	rpi-poe.dtbo \
	rpi-poe-plus.dtbo \
	rpi-power-hat-b.dtbo \
	rpi-power-hat-t.dtbo \
	rpi-sense.dtbo \
	rpi-sense-v2.dtbo \
	rpi-tv.dtbo \
	rra-digidac1-wm8741-audio.dtbo \
	sainsmart18.dtbo \
	sc16is750-i2c.dtbo \
	sc16is752-i2c.dtbo \
	sc16is75x-spi.dtbo \
	sdhost.dtbo \
	sdio.dtbo \
	sdio-pi5.dtbo \
	seeed-can-fd-hat-v1.dtbo \
	seeed-can-fd-hat-v2.dtbo \
	sh1106-spi.dtbo \
	si446x-spi0.dtbo \
	smi.dtbo \
	smi-dev.dtbo \
	smi-nand.dtbo \
	spi-gpio35-39.dtbo \
	spi-gpio40-45.dtbo \
	spi-rtc.dtbo \
	spi0-0cs.dtbo \
	spi0-1cs.dtbo \
	spi0-1cs-inverted.dtbo \
	spi0-2cs.dtbo \
	spi1-1cs.dtbo \
	spi1-2cs.dtbo \
	spi1-3cs.dtbo \
	spi2-1cs.dtbo \
	spi2-1cs-pi5.dtbo \
	spi2-2cs.dtbo \
	spi2-2cs-pi5.dtbo \
	spi2-3cs.dtbo \
	spi3-1cs.dtbo \
	spi3-1cs-pi5.dtbo \
	spi3-2cs.dtbo \
	spi3-2cs-pi5.dtbo \
	spi4-1cs.dtbo \
	spi4-2cs.dtbo \
	spi5-1cs.dtbo \
	spi5-1cs-pi5.dtbo \
	spi5-2cs.dtbo \
	spi5-2cs-pi5.dtbo \
	spi6-1cs.dtbo \
	spi6-2cs.dtbo \
	ssd1306.dtbo \
	ssd1306-spi.dtbo \
	ssd1327-spi.dtbo \
	ssd1331-spi.dtbo \
	ssd1351-spi.dtbo \
	sunfounder-pipower3.dtbo \
	sunfounder-pironman5.dtbo \
	superaudioboard.dtbo \
	sx150x.dtbo \
	tc358743.dtbo \
	tc358743-audio.dtbo \
	tc358743-pi5.dtbo \
	tinylcd35.dtbo \
	tpm-slb9670.dtbo \
	tpm-slb9673.dtbo \
	uart0.dtbo \
	uart0-pi5.dtbo \
	uart1.dtbo \
	uart1-pi5.dtbo \
	uart2.dtbo \
	uart2-pi5.dtbo \
	uart3.dtbo \
	uart3-pi5.dtbo \
	uart4.dtbo \
	uart4-pi5.dtbo \
	uart5.dtbo \
	udrc.dtbo \
	ugreen-dabboard.dtbo \
	upstream.dtbo \
	upstream-pi4.dtbo \
	vc4-fkms-v3d.dtbo \
	vc4-fkms-v3d-pi4.dtbo \
	vc4-kms-dpi-generic.dtbo \
	vc4-kms-dpi-hyperpixel2r.dtbo \
	vc4-kms-dpi-hyperpixel4.dtbo \
	vc4-kms-dpi-hyperpixel4sq.dtbo \
	vc4-kms-dpi-panel.dtbo \
	vc4-kms-dsi-7inch.dtbo \
	vc4-kms-dsi-generic.dtbo \
	vc4-kms-dsi-ili9881-5inch.dtbo \
	vc4-kms-dsi-ili9881-7inch.dtbo \
	vc4-kms-dsi-lt070me05000.dtbo \
	vc4-kms-dsi-lt070me05000-v2.dtbo \
	vc4-kms-dsi-waveshare-800x480.dtbo \
	vc4-kms-dsi-waveshare-panel.dtbo \
	vc4-kms-dsi-waveshare-panel-v2.dtbo \
	vc4-kms-kippah-7inch.dtbo \
	vc4-kms-v3d.dtbo \
	vc4-kms-v3d-pi4.dtbo \
	vc4-kms-v3d-pi5.dtbo \
	vc4-kms-vga666.dtbo \
	vga666.dtbo \
	vl805.dtbo \
	w1-gpio.dtbo \
	w1-gpio-pi5.dtbo \
	w1-gpio-pullup.dtbo \
	w1-gpio-pullup-pi5.dtbo \
	w5500.dtbo \
	watterott-display.dtbo \
	waveshare-can-fd-hat-mode-a.dtbo \
	waveshare-can-fd-hat-mode-b.dtbo \
	wifimac.dtbo \
	wittypi.dtbo \
	wm8960-soundcard.dtbo \
	ws2812-pio.dtbo

targets += dtbs dtbs_install
targets += $(dtbo-y)

always-y	:= $(dtbo-y)
clean-files	:= *.dtbo
