=== debian/changelog ===
linux-raspi (6.17.0-1001.1) questing; urgency=medium

  * questing/linux-raspi: 6.17.0-1001.1 -proposed tracker (LP: #2122477)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update update.conf
    - [Packaging] update Ubuntu.md
    - [Packaging] debian.raspi/dkms-versions -- update from kernel-versions
      (main/d2025.09.08)
    - [Packaging] update variants

  * Missing overlays/README (LP: #1954757)
    - SAUCE: (no-up) Install overlays/README

  * Raspberry Pi 3B+ doesnt boot from USB on 23.10 Mantic (LP: #2039786)
    - SAUCE: Revert "usb: misc: onboard-hub: add support for Microchip
      USB2514B USB 2.0 hub"

  * IO errors when writing large amounts of data to USB storage in eoan on
    RPI2/3 (armhf kernel) (LP: #1852510)
    - Add dwc_otg driver

  * Miscellaneous Ubuntu changes
    - [Packaging] raspi: Initial import of debian.raspi from plucky:linux-
      raspi (6.14.0-1014.14)
    - [Packaging] raspi: Sync packaging files from debian.master
    - [Packaging] raspi: Initial version of questing:linux-raspi
    - raspi: Update to upstream raspberrypi rpi-6.17.y (2025-09-09)
    - [Config] raspi: Resync raspi configs
    - [Config] raspi: Add notes to overrides
    - [Config] raspi: Switch IMA_DEFAULT_HASH to SHA256
    - [Config] raspi: Don't override IRQSOFF_TRACER
    - [Config] raspi: updateconfigs after import of rpi-6.17.y patchset
    - [Config] raspi: Remove identical configs
    - [Config] raspi: Remove deprecated configs
    - [Config] raspi: Fix up TODO notes
    - [Config] raspi: Add bug to note
    - SAUCE: ARM: dts: overlays: Fix file permissions
    - SAUCE: (no-up) ARM: dts: Disable unsupported Raspberry Pi DTBs
    - SAUCE: drivers/gpio/gpio-pwm: Fix return type of pwm_gpio_set

  * Miscellaneous upstream changes
    - Revert "spi: spidev: Fix CS polarity if GPIO descriptors are used"
    - Revert "ARM: dts: bcm2711: Add BCM2711 xHCI support"
    - Revert "usb: phy: generic: Get the vbus supply"
    - Revert "PCI: Warn if no host bridge NUMA node info"
    - of: overlay: Correct symbol path fixups
    - module: Avoid ABI changes when debug info is disabled
    - raspberrypi-firmware: Update mailbox commands
    - drm/atomic: Don't fixup modes that haven't been reset
    - drm: Check whether the gamma lut has changed before updating
    - drm/dsi: Document the meaning and spec references for MIPI_DSI_MODE_*
    - drm/bridge: tc358762: Ignore EPROBE_DEFER when logging errors
    - drm: Add chroma siting properties
    - drm/atomic-helpers: remove legacy_cursor_update hacks
    - drm/atomic: If margins are updated, update all planes.
    - arm64: setup: Fix build warning
    - BCM2708: Add core Device Tree support
    - overlays: Fix sc16is752-spi1 emulation
    - config: Add default configs
    - clk: clk-bcm2835: Register the clocks early during the boot process
    - clk-bcm2835: Mark used PLLs and dividers CRITICAL
    - clk-bcm2835: Add claim-clocks property
    - clk-bcm2835: Read max core clock from firmware
    - clk-bcm2835: Don't wait for pllh lock
    - clk: bcm2835: Add support for setting leaf clock rates while running.
    - clk: bcm2835: Allow reparenting leaf clocks while they're running.
    - clk-bcm2835: Avoid null pointer exception
    - clk-bcm2835: Disable v3d clock
    - clk-bcm2835: Use PLLD for DSI0 HS clock
    - smsc95xx: Experimental: Enable turbo_mode and packetsize=2560 by default
    - Allow mac address to be set in smsc95xx
    - Protect __release_resource against resources without parents
    - irq-bcm2836: Avoid "Invalid trigger warning"
    - irqchip: bcm2835: Add FIQ support
    - irqchip: irq-bcm2835: Add 2836 FIQ support
    - spi: spidev: Completely disable the spidev warning
    - dmaengine: bcm2835: Load driver early and support legacy API
    - rtc: Add SPI alias for pcf2123 driver
    - watchdog: bcm2835: Support setting reboot partition
    - reboot: Use power off rather than busy spinning when halt is requested
    - bcm2835-rng: Avoid initialising if already enabled
    - Update vfpmodule.c
    - i2c: bcm2835: Add debug support
    - irqchip: irq-bcm2836: Remove regmap and syscon use
    - amba_pl011: Insert mb() for correct FIFO handling
    - amba_pl011: Add cts-event-workaround DT property
    - tty: amba-pl011: Avoid rare write-when-full error
    - Main bcm2708/bcm2709 linux port
    - bcm2708_fb: Add framebuffer driver
    - dmaengine: Add support for BCM2708
    - MMC: added alternative MMC driver
    - mmc: block: Don't do single-sector reads during recovery
    - vc_mem: Add vc_mem driver for querying firmware memory addresses
    - Add SMI driver
    - Add Chris Boot's i2c driver
    - char: Add broadcom char drivers back to build files
    - char: broadcom: Add vcio module
    - drivers: char: add generic gpiomem driver
    - firmware: bcm2835: Support ARCH_BCM270x
    - leds: Add the "input" trigger, for pwr_led
    - Added Device IDs for August DVB-T 205
    - Improve __copy_to_user and __copy_from_user performance
    - mfd: Add Raspberry Pi Sense HAT core driver
    - drivers/mfd: sensehat: Add Raspberry Pi Sense HAT to simple_mfd_i2c
    - Input: sensehat-joystick : Revert to downstream keymap
    - ASoC: Add support for all the downstream rpi sound card drivers
    - rpi_display: add backlight driver and overlay
    - bcm2835-virtgpio: Virtual GPIO driver
    - OF: DT-Overlay configfs interface
    - brcm: adds support for BCM43341 wifi
    - hci_h5: Don't send conf_req when ACTIVE
    - ARM64: Round-Robin dispatch IRQs between CPUs.
    - ARM64: Force hardware emulation of deprecated instructions.
    - AXI performance monitor driver (#2222)
    - ARM: bcm2835: Set Serial number and Revision
    - dwc-otg: FIQ: Fix "bad mode in data abort handler"
    - ARM: Activate FIQs to avoid __irq_startup warnings
    - i2c-gpio: Also set bus numbers from reg property
    - added capture_clear option to pps-gpio via dtoverlay (#2433)

